Page MenuHomePhabricator

Hardcoded en.wiki translation guide link in Cx-create-new-translation-desc
Closed, ResolvedPublic1 Story Points

Description

The hardcoded en.wiki link in this interface message is not appropriate since it is not suitable for translation. Instead there should be a translatable page on meta/mediawiki.org containing the relevant information. This could then be referenced using Special:MyLanguage.

Originally mentioned at Support/About_MediaWiki:Cx-create-new-translation-desc/sv.

Event Timeline

Lokal_Profil raised the priority of this task from to Needs Triage.
Lokal_Profil updated the task description. (Show Details)
Lokal_Profil updated the task description. (Show Details)
Lokal_Profil set Security to None.
Lokal_Profil added subscribers: Lokal_Profil, Nemo_bis.
Nemo_bis renamed this task from Hardcoded en.wiki link in Cx-create-new-translation-desc to Hardcoded en.wiki translation guide link in Cx-create-new-translation-desc.Jan 7 2015, 8:19 PM
Nemo_bis awarded a token.
Nemo_bis added a project: I18n.
Nemo_bis added subscribers: gpaumier, PiRSquared17.
Amire80 triaged this task as Normal priority.Jan 15 2015, 10:23 AM

It makes sense to me to make it customizable per project as a wg variable.

Amire80 claimed this task.May 26 2015, 10:55 AM
Amire80 added a project: good first bug.

... Or, even more simply, by customizing the message cx-tools-view-guidelines-link.

Change 213813 had a related patch set uploaded (by Amire80):
Make it easier to customize a link to translation guidelines

https://gerrit.wikimedia.org/r/213813

Amire80 moved this task from Backlog to In Review on the LE-Sprint-87 board.

Change 213813 merged by jenkins-bot:
Make it easier to customize a link to translation guidelines

https://gerrit.wikimedia.org/r/213813

Amire80 closed this task as Resolved.May 26 2015, 12:29 PM
Amire80 removed a project: Patch-For-Review.
Amire80 moved this task from In Review to Done on the LE-Sprint-87 board.
santhosh edited a custom field.Jun 9 2015, 8:04 AM